//
//  Easing.hpp
//  Meteor
//
//  Created by Cesar Parent on 18/09/2015.
//  Copyright © 2015 Cesar Parent. All rights reserved.
//

#ifndef Easing_hpp
#define Easing_hpp

#include "../defines.h"
#include <functional>


NS_BEGIN

typedef std::function<float(float)> Easing;

namespace Ease {
    
    float linear(float t);
    
    float inQuad(float t);
    
    float outQuad(float t);
    
    float inOutQuad(float t);
    
    float inCubic(float t);
    
    float outCubic(float t);
    
    float inOutCubic(float t);
    
    float inSine(float t);
    
    float outSine(float t);
    
    float inOutSine(float t);
    
}

NS_END

#endif /* Easing_hpp */
